Page MenuHomePhabricator

[libc++][AIX] Define _LIBCPP_ELAST
ClosedPublic

Authored by jasonliu on Apr 21 2021, 12:01 PM.

Details

Reviewers
sfertile
xingxue
SeanP
zibi
ldionne
Group Reviewers
Restricted Project
Commits
rG4677d795b204: [libc++][AIX] Define _LIBCPP_ELAST
Summary

The aim is to define _LIBCPP_ELAST for AIX since strerror/strerror_r can't handle out-of-range errno values.

Diff Detail

Event Timeline

jasonliu requested review of this revision.Apr 21 2021, 12:01 PM
jasonliu created this revision.
SeanP added inline comments.Apr 21 2021, 9:06 PM
libcxx/src/include/config_elast.h
43

AIX has sys_nerr. It would be better to use that.

jasonliu added inline comments.Apr 22 2021, 9:17 AM
libcxx/src/include/config_elast.h
43

@SeanP sys_nerr is guarded by _ALL_SOURCE and it's a BSD extension. Since this is a header could potentially included by any source file, the _ALL_SOURCE requirement for building the source could get viral. I think we should decrease our exposure on needing _ALL_SOURCE to build the source.

jasonliu updated this revision to Diff 341201.Apr 28 2021, 7:33 AM

rebase to clean the pre-commit ci

Gentle ping.

ldionne accepted this revision.May 7 2021, 11:15 AM
This revision is now accepted and ready to land.May 7 2021, 11:15 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMay 10 2021, 6:54 AM